[alpine-devel] [PATCH] main/cups-filters: fix text file printing
Export this patch
ttf-freefont is needed for text printing to work.
pdf.UTF-8 symlink is needed; pdf.utf-8 isn't good enough now.
I had pushed 1.0.54 already but i rebased it.
I suppose we want this for 3.0-stable too?
Thanks!
-nc
I suspect this should get backported, yes.
HTH,
Isaac Dunham
---
Unsubscribe: alpine-devel+unsubscribe@lists.alpinelinux.org
Help: alpine-devel+help@lists.alpinelinux.org
---
---
Unsubscribe: alpine-devel+unsubscribe@lists.alpinelinux.org
Help: alpine-devel+help@lists.alpinelinux.org
---
---
main/cups-filters/APKBUILD | 9 +++++++ --
1 file changed, 7 insertions(+), 2 deletions(-)
diff --git a/main/cups-filters/APKBUILD b/main/cups-filters/APKBUILD
index b9ed634..caa0580 100644
--- a/main/cups-filters/APKBUILD
+++ b/main/cups-filters/APKBUILD
@@ -1,13 +1,15 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=cups-filters
pkgver=1.0.53
- pkgrel=0
+ pkgrel=1
pkgdesc="OpenPrinting CUPS filters and backends"
url="http://www.linuxfoundation.org/collaborate/workgroups/openprinting/pdf_as_standard_print_job_format"
arch="all"
license="GPLv2 and GPLv2+ and GPLv3 and MIT"
# textonly is a bash script
- depends="poppler-utils bc bash"
+ # texttops/textopdf need FreeMono from ttf-freefont
+ # for text printing to work
+ depends="poppler-utils bc bash ttf-freefont"
depends_dev=""
makedepends="$depends_dev cups-dev libjpeg-turbo-dev poppler-dev zlib-dev
libpng-dev tiff-dev lcms-dev freetype-dev ghostscript-dev fontconfig-dev
@@ -49,6 +51,9 @@ build() {
package() {
cd "$_builddir"
make -j1 DESTDIR="$pkgdir" install || return 1
+ #the pdf.utf-8 symlink isn't quite good enough
+ cd "$pkgdir"/usr/share/cups/charsets && \
+ ln -s pdf.utf-8.simple pdf.UTF-8 || return 1
rm -f "$pkgdir"/usr/lib/*.la
}
--
2.0.1
---
Unsubscribe: alpine-devel+unsubscribe@lists.alpinelinux.org
Help: alpine-devel+help@lists.alpinelinux.org
---